<?php

if ( class_exists("Kirki")){

	// LOGO

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'seo_marketing_expert_logo_resizer',
		'label'       => esc_html__( 'Adjust Your Logo Size ', 'seo-marketing-expert' ),
		'section'     => 'title_tagline',
		'default'     => 70,
		'choices'     => [
			'min'  => 10,
			'max'  => 300,
			'step' => 10,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'seo_marketing_expert_enable_logo_text',
		'section'     => 'title_tagline',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Site Title and Tagline', 'seo-marketing-expert' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'seo_marketing_expert_display_header_title',
		'label'       => esc_html__( 'Site Title Enable / Disable Button', 'seo-marketing-expert' ),
		'section'     => 'title_tagline',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'seo-marketing-expert' ),
			'off' => esc_html__( 'Disable', 'seo-marketing-expert' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'seo_marketing_expert_display_header_text',
		'label'       => esc_html__( 'Tagline Enable / Disable Button', 'seo-marketing-expert' ),
		'section'     => 'title_tagline',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'seo-marketing-expert' ),
			'off' => esc_html__( 'Disable', 'seo-marketing-expert' ),
		],
	] );

	// PANEL

	Kirki::add_panel( 'seo_marketing_expert_panel_id', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Theme Options', 'seo-marketing-expert' ),
	) );

	// Scroll Top

	Kirki::add_section( 'seo_marketing_expert_section_scroll', array(
	    'title'          => esc_html__( 'Additional Settings', 'seo-marketing-expert' ),
	    'description'    => esc_html__( 'Scroll To Top', 'seo-marketing-expert' ),
	    'panel'          => 'seo_marketing_expert_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'seo_marketing_expert_scroll_enable_setting',
		'label'       => esc_html__( 'Here you can enable or disable your scroller.', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_section_scroll',
		'default'     => '1',
		'priority'    => 10,
	] );

	// POST SECTION

	Kirki::add_section( 'seo_marketing_expert_section_post', array(
	    'title'          => esc_html__( 'Post Settings', 'seo-marketing-expert' ),
	    'description'    => esc_html__( 'Here you can get different post settings', 'seo-marketing-expert' ),
	    'panel'          => 'seo_marketing_expert_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'seo_marketing_expert_enable_post_heading',
		'section'     => 'seo_marketing_expert_section_post',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Post Settings.', 'seo-marketing-expert' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'seo_marketing_expert_blog_admin_enable',
		'label'       => esc_html__( 'Post Author Enable / Disable Button', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_section_post',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'seo-marketing-expert' ),
			'off' => esc_html__( 'Disable', 'seo-marketing-expert' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'seo_marketing_expert_blog_comment_enable',
		'label'       => esc_html__( 'Post Comment Enable / Disable Button', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_section_post',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'seo-marketing-expert' ),
			'off' => esc_html__( 'Disable', 'seo-marketing-expert' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'seo_marketing_expert_post_excerpt_number',
		'label'       => esc_html__( 'Post Content Range', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_section_post',
		'default'     => 15,
		'choices'     => [
			'min'  => 0,
			'max'  => 100,
			'step' => 1,
		],
	] );

	// HEADER SECTION

	Kirki::add_section( 'seo_marketing_expert_section_header', array(
	    'title'          => esc_html__( 'Header Settings', 'seo-marketing-expert' ),
	    'description'    => esc_html__( 'Here you can add header information.', 'seo-marketing-expert' ),
	    'panel'          => 'seo_marketing_expert_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'seo_marketing_expert_enable_socail_link',
		'section'     => 'seo_marketing_expert_section_header',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Social Media Link', 'seo-marketing-expert' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'repeater',
		'section'     => 'seo_marketing_expert_section_header',
		'priority'    => 10,
		'row_label' => [
			'type'  => 'field',
			'value' => esc_html__( 'Social Icon', 'seo-marketing-expert' ),
			'field' => 'link_text',
		],
		'button_label' => esc_html__('Add New Social Icon', 'seo-marketing-expert' ),
		'settings'     => 'seo_marketing_expert_social_links_settings',
		'default'      => '',
		'fields' 	   => [
			'link_text' => [
				'type'        => 'text',
				'label'       => esc_html__( 'Icon', 'seo-marketing-expert' ),
				'description' => esc_html__( 'Add the fontawesome class ex: "fab fa-facebook-f".', 'seo-marketing-expert' ),
				'default'     => '',
			],
			'link_url' => [
				'type'        => 'url',
				'label'       => esc_html__( 'Social Link', 'seo-marketing-expert' ),
				'description' => esc_html__( 'Add the social icon url here.', 'seo-marketing-expert' ),
				'default'     => '',
			],
		],
		'choices' => [
			'limit' => 5
		],
	] );

	// SLIDER SECTION

	Kirki::add_section( 'seo_marketing_expert_blog_slide_section', array(
        'title'          => esc_html__( ' Slider Settings', 'seo-marketing-expert' ),
        'description'    => esc_html__( 'You have to select post category to show slider.', 'seo-marketing-expert' ),
        'panel'          => 'seo_marketing_expert_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'seo_marketing_expert_enable_heading',
		'section'     => 'seo_marketing_expert_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Slider', 'seo-marketing-expert' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'seo_marketing_expert_blog_box_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_blog_slide_section',
		'default'     => '0',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'seo-marketing-expert' ),
			'off' => esc_html__( 'Disable', 'seo-marketing-expert' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'seo_marketing_expert_title_unable_disable',
		'label'       => esc_html__( 'Slide Title Enable / Disable', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_blog_slide_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'seo-marketing-expert' ),
			'off' => esc_html__( 'Disable', 'seo-marketing-expert' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'seo_marketing_expert_button_unable_disable',
		'label'       => esc_html__( 'Slide Button Enable / Disable', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_blog_slide_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'seo-marketing-expert' ),
			'off' => esc_html__( 'Disable', 'seo-marketing-expert' ),
		],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'seo_marketing_expert_slider_heading',
		'section'     => 'seo_marketing_expert_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Slider', 'seo-marketing-expert' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'seo_marketing_expert_blog_slide_number',
		'label'       => esc_html__( 'Number of slides to show', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_blog_slide_section',
		'default'     => 3,
		'choices'     => [
			'min'  => 0,
			'max'  => 80,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'seo_marketing_expert_blog_slide_category',
		'label'       => esc_html__( 'Select the category to show slider ( Image Dimension 1600 x 600 )', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_blog_slide_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'seo-marketing-expert' ),
		'priority'    => 10,
		'choices'     => seo_marketing_expert_get_categories_select(),
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    => 'Extra Slider Text',
		'settings' => 'seo_marketing_expert_extra_text',
		'section'  => 'seo_marketing_expert_blog_slide_section',
		'default'  => '',
	] );

	// PORTFOLIO SECTION

	Kirki::add_section( 'seo_marketing_expert_portfolio_section', array(
	    'title'          => esc_html__( 'Portfolio Settings', 'seo-marketing-expert' ),
	    'description'    => esc_html__( 'Here you can add portfolio post.', 'seo-marketing-expert' ),
	    'panel'          => 'seo_marketing_expert_panel_id',
	    'priority'       => 160,
	) );
	
	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'seo_marketing_expert_enable_heading',
		'section'     => 'seo_marketing_expert_portfolio_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Portfolio',  'seo-marketing-expert' ) . '</h3>',
		'priority'    => 1,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'seo_marketing_expert_portfolio_section_enable',
		'label'       => esc_html__( 'Section Enable / Disable',  'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_portfolio_section',
		'default'     => '0',
		'priority'    => 2,
		'choices'     => [
			'on'  => esc_html__( 'Enable',  'seo-marketing-expert' ),
			'off' => esc_html__( 'Disable',  'seo-marketing-expert' ),
		],
	] );
    
	Kirki::add_field( 'theme_config_id', [
        'type'     => 'text',
        'settings' => 'seo_marketing_expert_portfolio_short_heading' ,
        'label'    => esc_html__( 'Short Heading',  'seo-marketing-expert' ),
        'section'  => 'seo_marketing_expert_portfolio_section',
    ] );

	Kirki::add_field( 'theme_config_id', [
        'type'     => 'text',
        'settings' => 'seo_marketing_expert_portfolio_heading' ,
        'label'    => esc_html__( 'Heading',  'seo-marketing-expert' ),
        'section'  => 'seo_marketing_expert_portfolio_section',
    ] );

	Kirki::add_field( 'theme_config_id', [
        'type'     => 'text',
        'settings' => 'seo_marketing_expert_portfolio_text' ,
        'label'    => esc_html__( 'Text',  'seo-marketing-expert' ),
        'section'  => 'seo_marketing_expert_portfolio_section',
    ] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'seo_marketing_expert_portfolio_cat_heading',
		'section'     => 'seo_marketing_expert_portfolio_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( ' Category Dropdown', 'seo-marketing-expert' ) . '</h3>',
		'priority'    => 10,
	] );    

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'seo_marketing_expert_portfolio_number',
		'label'       => esc_html__( 'Number of post to show', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_portfolio_section',
		'default'     => 3,
		'choices'     => [
			'min'  => 0,
			'max'  => 80,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'seo_marketing_expert_portfolio_category',
		'label'       => esc_html__( 'Select the category to show left side post', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_portfolio_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'seo-marketing-expert' ),
		'priority'    => 10,
		'choices'     => seo_marketing_expert_get_categories_select(),
	] );

	// FOOTER SECTION

	Kirki::add_section( 'seo_marketing_expert_footer_section', array(
        'title'          => esc_html__( 'Footer Settings', 'seo-marketing-expert' ),
        'description'    => esc_html__( 'Here you can change copyright text', 'seo-marketing-expert' ),
        'panel'          => 'seo_marketing_expert_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'seo_marketing_expert_footer_text_heading',
		'section'     => 'seo_marketing_expert_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Text', 'seo-marketing-expert' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'seo_marketing_expert_footer_text',
		'section'  => 'seo_marketing_expert_footer_section',
		'default'  => '',
		'priority' => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'seo_marketing_expert_footer_enable_heading',
		'section'     => 'seo_marketing_expert_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Footer Link', 'seo-marketing-expert' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'seo_marketing_expert_copyright_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_footer_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'seo-marketing-expert' ),
			'off' => esc_html__( 'Disable', 'seo-marketing-expert' ),
		],
	] );
}